Skip to navigation

Groups Job Status Get

View as Markdown

Once an async_job_id is returned from groups/delete, groups/members/add , or groups/members/remove use this method to poll the status of granting/revoking group members’ access to group-owned resources.

Permission : Team member management.

Required scope: groups.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
async_job_idstringRequired>=1 character
Id of the asynchronous job. This is the value of a response returned from the method that launched the job.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
Variant:
async_common.PollEmptyResult.in_progressobject
The asynchronous job is still in progress.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error